package cokr.xit.ens.biz.iup.domain.repository;

import cokr.xit.ens.biz.iup.code.IupSendTypeCd;
import cokr.xit.ens.biz.iup.domain.TbInputDataXit;

import java.util.List;
import java.util.Optional;

public interface TbInputDataXitCustomRepository<T> {

    Optional<TbInputDataXit> findFetchByDataId(String dataId);

    List<T> findAllFetchByLnkInputId(Long lnkInputId);

    String findDataIdFirstByLnkInputId(Long lnkInputId);

    Optional<Long> findLastSendMastIdByLnkInputIdAndSendType(Long lnkInputId, IupSendTypeCd sendTypeCd);

    List<TbInputDataXit> findAllByNoFwdPayResult();


}